package com.ruoyi.cms.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "chat")
public class ChatConfig {
    private String baseUrl;
    private String chatUrl;
    private String chatDetailUrl;
    private String chatHistoryUrl;
    private String updateNameUrl;
    private String delChatUrl;
    private String delAllChatUrl;
    private String guestUrl;
    private String praiseUrl;
    private String apiKey;
    private String appId;
    private String model;
    public String getBaseUrl() {
        return baseUrl;
    }

    public void setBaseUrl(String baseUrl) {
        this.baseUrl = baseUrl;
    }

    public String getChatUrl() {
        return chatUrl;
    }

    public void setChatUrl(String chatUrl) {
        this.chatUrl = chatUrl;
    }

    public String getChatDetailUrl() {
        return chatDetailUrl;
    }

    public void setChatDetailUrl(String chatDetailUrl) {
        this.chatDetailUrl = chatDetailUrl;
    }

    public String getChatHistoryUrl() {
        return chatHistoryUrl;
    }

    public void setChatHistoryUrl(String chatHistoryUrl) {
        this.chatHistoryUrl = chatHistoryUrl;
    }

    public String getUpdateNameUrl() {
        return updateNameUrl;
    }

    public void setUpdateNameUrl(String updateNameUrl) {
        this.updateNameUrl = updateNameUrl;
    }

    public String getDelChatUrl() {
        return delChatUrl;
    }

    public void setDelChatUrl(String delChatUrl) {
        this.delChatUrl = delChatUrl;
    }

    public String getDelAllChatUrl() {
        return delAllChatUrl;
    }

    public void setDelAllChatUrl(String delAllChatUrl) {
        this.delAllChatUrl = delAllChatUrl;
    }

    public String getGuestUrl() {
        return guestUrl;
    }

    public void setGuestUrl(String guestUrl) {
        this.guestUrl = guestUrl;
    }

    public String getPraiseUrl() {
        return praiseUrl;
    }

    public void setPraiseUrl(String praiseUrl) {
        this.praiseUrl = praiseUrl;
    }

    public String getApiKey() {
        return apiKey;
    }

    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }
    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }
}
